Python-PlugIns: Probleme

Benutzeravatar
Ayla2011
Beiträge: 87
Registriert: Mi 20. Jun 2018, 19:47
Skype:

Re: Python-PlugIns: Probleme

Beitragvon Ayla2011 » Do 20. Sep 2018, 20:23

Gimplyworxs hat geschrieben:Daß Python Plug-ins nicht angezeigt werden, scheint auch bei anderen vor zu kommen:
https://gitlab.gnome.org/GNOME/gimp/issues/1510
Mir kommt vor, daß es hauptsächlich Windows Benutzer sind, die davon betroffen sind.
In dem Beispiel, das Ofnuts dort angehängt hat, geht es um Zeilen wie diese:

Code: Alles auswählen

from gimpfu import *
import gtk


die Zeile mit gimpfu import muß vor der mit gtk stehen.
War früher scheinbar nicht nötig, darauf zu achten.
Vielleicht hilft's auch hier jemandem, wenn er/sie das Problem hat.


Ich habe mir folgende Python Plug-Ins von Diego daraufhin noch mal angeschaut, weil die allesamt seit dem Umstieg auf 2.10.6 nicht mehr laufen bzw. erst gar nicht in GIMP registriert werden:
DIEGO_COLOURS_PlayWithAtmosphere2
DIEGO_COLOURS_Shining
diego_renderrain
diego_rendersnow

In allen vier Fällen steht

Code: Alles auswählen

from gimpfu Import *
am Anfang. Das scheint dann also doch nicht der Grund zu sein. :?

Benutzeravatar
Gimplyworxs
Beiträge: 877
Registriert: Fr 17. Mär 2017, 15:43
Skype:
Wohnort: Crailsheim, BaWü

Re: Python-PlugIns: Probleme

Beitragvon Gimplyworxs » Do 20. Sep 2018, 20:59

Gibt also noch andere Ecken und Kanten beim Zusammenspiel GIMP/Python.
Ich trage hier ein bischen auch die Dinge zusammen, die ich im Bugtracker und sonst wo 'unterwegs' so finde. Vielleicht hilfts dem ein oder anderen mal und man hat (hoffe ich) hier so ein bischen eine Quelle zum Nachschauen.
Gruß
Gimplyworxs


>>>> Meine Galerie <<<< :

#
______________
Gimp 2.10.12 auf Linux Mint 19.2 MATE

Benutzeravatar
Ayla2011
Beiträge: 87
Registriert: Mi 20. Jun 2018, 19:47
Skype:

Re: Python-PlugIns: Probleme

Beitragvon Ayla2011 » Di 25. Sep 2018, 14:18

Gimplyworxs hat geschrieben:Daß Python Plug-ins nicht angezeigt werden, scheint auch bei anderen vor zu kommen:
Mir kommt vor, daß es hauptsächlich Windows Benutzer sind, die davon betroffen sind.
In dem Beispiel, das Ofnuts dort angehängt hat, geht es um Zeilen wie diese:

Code: Alles auswählen

from gimpfu import *
import gtk


die Zeile mit gimpfu import muß vor der mit gtk stehen.
War früher scheinbar nicht nötig, darauf zu achten.
Vielleicht hilft's auch hier jemandem, wenn er/sie das Problem hat.


Wofür steht eigentlich "import gtk"? Nach nochmaligem Nachschauen habe ich festgestellt, dass es diese Zeile in den fraglichen Scripts gar nicht gibt. Muss sie vorhanden sein und wenn ja, was bewirkt sie?

Ich habe inzwischen noch einige ältere Python-Scripts ausprobiert, die unter GIMP 2.10.2 noch prima liefen, jetzt aber total den Dienst verweigern, und zwar dahingehend, dass sie nicht einmal mehr in Gimp registriert werden. Eigenartigerweise betrifft das alle Python-Scripts von DIEGO - mit Ausnahme der Frame Factory. Andere Py-Scripts, also welche, die nicht von Diego sind, wie z.B. "Fill selection with (perspective) brush", "ofn path to shape", "label number from path point" - um nur drei Beispiele zu nennen - laufen nach kleinen Anpassungen (danke für den Tipp mit constantize) völlig problemlos.

Hat vielleicht jemand Kontakt zu DIEGO und kann mal nachfragen, ob er seine wirklich schönen Programme nicht an 2.10.6 (und bitte auch für Windows-Nutzer!) anpassen mag? Ich vermisse vor allem das "Play with Atmosphere2" Script.
:heul: :heul: :heul:

Benutzeravatar
Gimplyworxs
Beiträge: 877
Registriert: Fr 17. Mär 2017, 15:43
Skype:
Wohnort: Crailsheim, BaWü

Re: Python-PlugIns: Probleme

Beitragvon Gimplyworxs » Di 25. Sep 2018, 21:21

Mit den import Anweisungen importiert man Funktionen, die man im plug-in verwenden will/ muß.
Bin nicht mit so Python vertraut, aber ich vermute mal, daß man das ein oder andere nach Bedarf/ Anforderung der im Script zu erledigenden Aufgaben importiert oder eben auch nicht.

Bei deiner Installation ist ja mit den Python plug-ins irgendwie der Wurm drin.
Vielleicht gibt sich das mit der nächsten GIMP Version?

Oder du hast Lust, das mal mit einer der portablen Versionen zu probieren:
Es gibt eine von Samj, mit der viele in den englischsprachigen Foren scheinbar sehr zufrieden sind:
Seitenadresse: https://samjcreations.blogspot.com/2018 ... -bits.html
(Achtung: französische Seite)
Downloadlink: http://www.aljacom.com/~gimp/Gimp-2.10. ... -64bits.7z

Und es gibt eine von Partha hier:
Seitenadresse: https://www.partha.com/
Dort in der rechten Seitenleiste nach GIMP 2.10.6 64-bit Standard Edition portable suchen.

Beides für Windows, deshalb dazu kein weiterer Kommentar dazu von mir (bin Linuxerin).
Gruß
Gimplyworxs


>>>> Meine Galerie <<<< :

#
______________
Gimp 2.10.12 auf Linux Mint 19.2 MATE


Zurück zu „Scripte und Filter/Plugins“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste